using RMYY_CallCenter_Api.Models.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace RMYY_CallCenter_Api.Models
{
    public class FaultButtonGroup
    {

        public static button check()
        {
            return new button(1, "查收");
        }
        public static button back()
        {
            return new button(2, "退回");
        }

        public static button assign()
        {
            return new button(3, "转派");
        }

        public static button assistance()
        {
            return new button(4, "协作");
        }
        public static button finish()
        {
            return new button(5, "完成");
        }

        public static button evaluate()
        {
            return new button(6, "评价");
        }
        public static button returndeal()
        {
            return new button(7, "返修");
        }

        public static button solve()
        {
            return new button(8, "自行解决");
        }

        /// <summary>
        /// 按钮类
        /// </summary>
        public class button
        {
            public int key { get; set; }
            public string value { get; set; }
            public button(int _key, string _value)
            {
                key = _key;
                value = _value;
            }
        }
    }
}